Skip to main content
`Ctrl`+`K`

# DMFieldCreateDefaultQuadrature

Creates a quadrature sufficient to integrate the field on the selected points via pullback onto the reference element

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldCreateDefaultQuadrature(DMField field, IS pointIS, PetscQuadrature *quad)

Not Collective

## Input Parameters

- field - the `DMField` object

- pointIS - the index set of points over which we wish to integrate the field

## Output Parameter

- quad - a `PetscQuadrature` object

## See Also

`DMFieldCreateDefaultFaceQuadrature()`, `DMField`, `PetscQuadrature`, `IS`, `DMFieldEvaluteFE()`, `DMFieldGetDegree()`

## Level

developer

## Location

src/dm/field/interface/dmfield.c

## Implementations

DMFieldCreateDefaultQuadrature_DA() in src/dm/field/impls/da/dmfieldda.c
DMFieldCreateDefaultQuadrature_DS() in src/dm/field/impls/ds/dmfieldds.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages